#
CWD=`pwd`
if [ "$TMP" = "" ]; then
  TMP=/tmp
fi
PKG=$TMP/package-nmap

VERSION=3.999
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1arf}

if [ ! -d $TMP ]; then
  mkdir -p $TMP # location to build the source
fi
rm -rf $PKG
mkdir -p $PKG

cd $TMP
rm -rf nmap-$VERSION
tar xjvf $CWD/nmap-$VERSION.tar.bz2
cd nmap-$VERSION
CFLAGS=-O2 \
./configure \
  --prefix=/usr \
  $ARCH-slackware-linux
make -j3
make prefix=$PKG/usr install
zcat $CWD/nmapfe.desktop.gz > $PKG/usr/share/applications/nmapfe.desktop
mkdir -p $PKG/usr/share/pixmaps
cat $CWD/nmap.png > $PKG/usr/share/pixmaps/nmap.png
strip $PKG/usr/bin/*
chown -R root.bin $PKG/usr/bin
gzip -9 $PKG/usr/man/man1/*
mkdir -p $PKG/usr/doc/nmap-$VERSION
cp -a \
  COPYING COPYING.OpenSSL HACKING INSTALL \
  $PKG/usr/doc/nmap-$VERSION
( cd docs
  mkdir -p $PKG/usr/man/de/man1
  cat nmap_german.1 | gzip -9c > $PKG/usr/man/de/man1/nmap.1.gz
  mkdir -p $PKG/usr/man/es/man1
  cat nmap_spanish.1 | gzip -9c > $PKG/usr/man/es/man1/nmap.1.gz
  mkdir -p $PKG/usr/man/fr/man1
  cat nmap_french.1 | gzip -9c > $PKG/usr/man/fr/man1/nmap.1.gz
  mkdir -p $PKG/usr/man/it/man1
  cat nmap_italian.1 | gzip -9c > $PKG/usr/man/it/man1/nmap.1.gz
  mkdir -p $PKG/usr/man/lt/man1
  cat nmap_lithuanian.1 | gzip -9c > $PKG/usr/man/lt/man1/nmap.1.gz
  mkdir -p $PKG/usr/man/pt/man1
  cat nmap_portuguese.1 | gzip -9c > $PKG/usr/man/pt/man1/nmap.1.gz
  mkdir -p $PKG/usr/man/ru/man1
  cat nmap_russian.1 | gzip -9c > $PKG/usr/man/ru/man1/nmap.1.gz
  cp -a \
    nmap-fingerprinting-article.txt nmap.deprecated.txt nmap.usage.txt \
    *.html \
    $PKG/usr/doc/nmap-$VERSION )
chmod 644 $PKG/usr/doc/nmap-$VERSION/*
chown -R root.root $PKG/usr/doc/nmap-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc

# Build the package:
cd $PKG
makepkg -l y -c n $TMP/nmap-$VERSION-$ARCH-$BUILD.tgz

